play.db.helper

## Class JdbcResultFactories.PrimitiveFactory<T>

- java.lang.Object
- - play.db.helper.JdbcResultFactories.PrimitiveFactory<T>

- All Implemented Interfaces:
    JdbcResultFactory<T>
  Enclosing class:
    JdbcResultFactories

      public static class JdbcResultFactories.PrimitiveFactory<T>
      extends java.lang.Object
      implements JdbcResultFactory<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrimitiveFactory(java.lang.Class<T> objectClass, int columnIndex)`
    `PrimitiveFactory(java.lang.Class<T> objectClass, java.util.List<java.lang.String> fields)`
    `PrimitiveFactory(java.lang.Class<T> objectClass, java.lang.String field)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `create(java.sql.ResultSet result)`
    `void` | `init(java.sql.ResultSet result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrimitiveFactory

          public PrimitiveFactory(java.lang.Class<T> objectClass,
                                  int columnIndex)

    - #### PrimitiveFactory

          public PrimitiveFactory(java.lang.Class<T> objectClass,
                                  java.lang.String field)

    - #### PrimitiveFactory

          public PrimitiveFactory(java.lang.Class<T> objectClass,
                                  java.util.List<java.lang.String> fields)

  - ### Method Detail

    - #### init

          public void init(java.sql.ResultSet result)
                    throws java.sql.SQLException

      Specified by:
        `init` in interface `JdbcResultFactory<T>`
      Throws:
        `java.sql.SQLException`

    - #### create

          public T create(java.sql.ResultSet result)
                   throws java.sql.SQLException

      Specified by:
        `create` in interface `JdbcResultFactory<T>`
      Throws:
        `java.sql.SQLException`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly